{
  "custom": {},
  "params": {
    "pageid": "value",
    "panel_id": "value",
    "text": "value"
  },
  "propConfig": {
    "params.pageid": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.panel_id": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.text": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 30,
      "width": 160
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "script": "\tsystem.perspective.navigate(\"/\" + self.view.params.pageid)"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "Button"
        },
        "position": {
          "basis": "80%",
          "grow": 1
        },
        "propConfig": {
          "props.tagProps[0]": {
            "binding": {
              "config": {
                "path": "view.params.panel_id"
              },
              "type": "property"
            }
          },
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.text"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "style": {
            "backgroundColor": "#FFFFFF",
            "borderStyle": "solid",
            "borderWidth": "0.5px",
            "cursor": "pointer"
          },
          "tagProps": [
            null,
            "value",
            "value",
            "value",
            "value",
            "value",
            "value",
            "value",
            "value",
            "value"
          ],
          "textStyle": {
            "color": "#000000",
            "fontFamily": "inherit",
            "fontSize": "1.5vmin",
            "fontWeight": "bold"
          }
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root",
      "tooltip": {
        "enabled": true
      }
    },
    "propConfig": {
      "meta.tooltip.text": {
        "binding": {
          "config": {
            "expression": "\"Navigate to \" + {view.params.text}"
          },
          "type": "expr"
        }
      }
    },
    "props": {
      "alignContent": "flex-start",
      "justify": "center"
    },
    "type": "ia.container.flex"
  }
}